package com.jakubu9333.grammarManager.dao;

import com.jakubu9333.grammarManager.model.FileHolder;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * @author Jakub Uhlarik
 */
public interface FileHolderRepo extends JpaRepository<FileHolder, Long> {
    FileHolder getFileHolderByGeneratedTrueAndGrammar_IdAndXml(Long grammarId, boolean xml);

    List<FileHolder> findAllByGrammarId(Long grammar_id);
}
